Subject: RE: FW: 1.5.18: grep -f option broken
From: "Chris Milam" <[email-masked]>
To: <[email-masked]>
Date: Thu, 17 Nov 2005 10:01:57 -0800

Thanks! 

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]] 
Sent: Thursday, November 17, 2005 10:00 AM
To: Chris Milam
Cc: [email-masked]
Subject: Re: FW: 1.5.18: grep -f option broken

On Thu, 17 Nov 2005, Chris Milam wrote:

> In the latest release of grep (2.5.1a-2), I believe that the -f option

> (read expressions from a file) is no longer working.
> [snip manpage quote]
> However, it appears that no match of any input is ever found for any 
> set of strings in the file specified by -f.  This functionality was 
> working in an earlier release (I regret to say that I cannot remember 
> the last time it was working but it was a release within the last
year, I think).

I was only able to reproduce this behavior if the script had DOS line
endings on a binmode mount (which you have).  Run the script through d2u
and try again.

It's arguably a bug in grep that the pattern file should be opened in
text mode.
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

If there's any real truth it's that the entire multidimensional infinity
of the Universe is almost certainly being run by a bunch of maniacs. /DA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/